Innehåll

# Mathematical Functions

Den här kategorin innehåller matematiska funktioner för Calc. Öppna Funktionsguiden och välj Infoga - Funktion.

## [text/scalc/01/func_aggregate.xhp#aggregate_head not found].

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

## SUM

Adds a set of numbers.

## TIMME

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## SUMIFS

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

## ABS

Returnerar det absoluta värdet för ett tal.

#### Syntax

ABS(tal)

tal är det tal vars absoluta värde ska beräknas. Det absoluta värdet av ett tal är dess värde utan plus- eller minustecken (+/-).

#### Example

=ABS(-56) returnerar 56.

=ABS(12) returnerar 12.

=ABS(0) returnerar 0.

## ARCCOS

Returnerar invers trigonometrisk cosinus för ett tal.

#### Syntax

ARCCOS(tal)

Den här funktionen returnerar invers trigonometrisk cosinus för Tal, dvs. vinkeln (i radianer) vars cosinus är Tal. Vinkeln som returneras är mellan 0 och PI.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

#### Example

=ARCCOS(-1) returnerar 3,14159265358979 (PI-radianer).

=GRADER(ARCCOS(0,5)) returnerar 60. Cosinus för 60 grader är 0,5.

## ARCCOSH

Returnerar invers hyperbolisk cosinus för ett tal.

#### Syntax

ARCCOSH(tal)

Den här funktionen returnerar invers hyperbolisk cosinus för Tal, dvs. talet vars hyperboliska cosinus är Tal.

Tal måste vara större än eller lika stort som 1.

#### Example

=ARCCOSH(1) returnerar 0.

=ARCCOSH(COSH (4)) returnerar 4.

## ARCCOT

Returnerar invers cotangens (arcustangens) för ett givet tal.

#### Syntax

ARCCOT(tal)

Den här funktionen returnerar invers trigonometrisk cotangens för Tal, dvs. vinkeln (i radianer) vars cotangens är Tal. Vinkeln som returneras är mellan 0 och PI.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

#### Example

=ARCCOT(1) returnerar 0,785398163397448 (PI/4-radianer).

=GRADER(ARCCOT(1)) returnerar 45. Tangens för 45 grader är 1.

## ARCCOTH

Returnerar invers hyperbolisk cotangens för ett givet tal.

#### Syntax

ARCCOTH(tal)

Den här funktionen returnerar invers hyperbolisk cotangens för Tal, dvs. det tal vars hyperboliska cotangens är Tal.

Ett felresultat om Tal är mellan -1 och 1.

#### Example

=ARCCOTH(1,1) returnerar invers hyperbolisk cotangens för 1,1, ungefär 1,52226.

## ARCSIN

Returnerar invers trigonometrisk sinus för ett tal.

#### Syntax

ARCSIN(tal)

Den här funktionen returnerar invers trigonometrisk tangens för Tal, dvs. vinkeln (i radianer) vars tangens är Tal. Vinkeln som returneras är mellan -PI/2 och +PI/2.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

#### Example

=ARCSIN(0) returnerar 0.

=ARCSIN(1) returnerar 1.5707963267949 (PI/2 radianer).

=GRADER(ARCSIN(0,5)) returnerar 30. Sinus för 30 grader är 0,5.

## ARCSINH

Returnerar invers hyperbolisk sinus för ett tal.

#### Syntax

ARCSINH(tal)

Den här funktionen returnerar invers hyperbolisk sinus för Tal, dvs. talet vars hyperboliska sinus är Tal.

#### Example

=ARCSINH(-90) returnerar ungefär -5,1929877.

=ARCSINH(SINH(4)) returnerar 4.

## ARCTAN

Returnerar invers trigonometrisk tangens för ett tal.

#### Syntax

ARCTAN(tal)

Den här funktionen returnerar invers trigonometrisk tangens för Tal, dvs. vinkeln (i radianer) vars tangens är Tal. Vinkeln som returneras är mellan -PI/2 och PI/2.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

#### Example

=ARCTAN(1) returnerar 0,785398163397448 (PI/4 radianer).

=GRADER(ARCTAN(1)) returnerar 45. Tangens för 45 grader är 1.

## ARCTAN2

Returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY).

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

#### Syntax

ARCTAN2(TalX; TalY)

NumberX is the value of the x coordinate.

TalY är värdet för y-koordinaten.

Programming languages have usually the opposite order of arguments for their atan2() function.

ATAN2 returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY)

#### Example

=ATAN2(-5;9) returns 2.07789 radians.

To get the angle in degrees apply the DEGREES function to the result.

=DEGREES(ATAN2(12.3;12.3)) returns 45. The tangent of 45 degrees is 1.

LibreOffice results 0 for ATAN2(0;0).

The function can be used in converting cartesian coordinates to polar coordinates.

=DEGREES(ATAN2(-8;5)) returns φ = 147.9 degrees

## ARCTANH

Returnerar invers hyperbolisk tangens för ett tal.

#### Syntax

ARCTANH(tal)

Den här funktionen returnerar invers hyperbolisk tangens för Tal, dvs. talet vars hyperboliska tangens är Tal.

Tal måste acceptera villkoret -1 < tal < 1.

#### Example

=ARCTANH(0) returnerar 0.

## AVRUNDA

Rundar av ett tal till ett visst antal decimaler.

#### Syntax

ROUND(Number [; Count])

Returnerar Tal avrundat till Antal decimaler. Om Antal utelämnas eller är noll avrundar funktionen nedåt till närmsta heltal. Om Antal är negativt så avrundar funktionen till nästa 10, 100, 1 000 o.s.v.

Den här funktionen avrundar till närmaste tal. Se AVRUNDA.NEDÅT och AVRUNDA. UPPÅT för alternativ.

#### Example

=AVRUNDA(2,348;2) returnerar 2,35

=AVRUNDA(-32,4834;3) returnerar -32,483. Ändra cellformatet så att alla decimaler visas.

=AVRUNDA(2,348;0) returnerar 2.

=AVRUNDA(2,5) returnerar 3.

=AVRUNDA(987,65;-2) returnerar -1000.

## AVRUNDA.UPPÅT

Avrundar ett tal uppåt, från noll, till en viss precision.

#### Syntax

ROUNDUP(Number [; Count])

Returnerar Tal som avrundats uppåt (från noll) till Antal decimaler. Om Antal utelämnas eller noll avrundar funktionen uppåt till ett heltal. Om Antal är negativt avrundar funktionen uppåt till 10, 100, 1 000 osv.

Den här funktionen avrundar bort från noll. Se AVRUNDA.NEDÅT och AVRUNDA för alternativ.

#### Example

=AVRUNDA.UPPÅT(1,1111;2) returnerar 1,12.

=AVRUNDA.UPPÅT(1,2345;1) returnerar 1,3.

=AVRUNDA.UPPÅT(45,67;0) returnerar 46.

=AVRUNDA.UPPÅT(-45,67) returnerar -46.

=AVRUNDA.UPPÅT(987,65;-2) returnerar 1000.

## CONVERT_OOO

Converts to euros a currency value expressed in one of the legacy currencies of 19 member states of the Eurozone, and vice versa. The conversion uses the fixed exchange rates at which the legacy currencies entered the euro.

We recommend using the more flexible EUROCONVERT function for converting between these currencies. CONVERT_OOO is not a standardized function and is not portable.

#### Syntax

CONVERT_OOO(Value; "Text1"; "Text2")

Value is the amount of the currency to be converted.

Text1 is a three-character string that specifies the currency to be converted from.

Text2 is a three-character string that specifies the currency to be converted to.

Text1 and Text2 must each take one of the following values: "ATS", "BEF", "CYP", "DEM", "EEK", "ESP", "EUR", "FIM", "FRF", "GRD", "IEP", "ITL", "LTL", "LUF", "LVL", "MTL", "NLG", "PTE", "SIT", and "SKK".

One, and only one, of Text1 or Text2 must be equal to "EUR".

#### Example

=CONVERT_OOO(100;"ATS";"EUR") returns the euro value of 100 Austrian schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 euros into German marks.

Refer to the CONVERT_OOO wiki page for more details about this function.

## COS

Returnerar cosinus för en given vinkel (i radianer).

#### Syntax

COS(tal)

Returnerar (trigonometrisk) cosinus för Tal, vinkeln i radianer.

Returnera cosinus för en vinkel i grader genom att använda RADIANER-funktionen.

#### Example

=COS(PI()/2) returnerar 0, cosinus för PI/2 radianer.

=COS(RADIANER(60)) returnerar 0,5, tangensen för 60 grader.

## COSH

Returnerar hyperbolisk cosinus för ett tal.

#### Syntax

COSH(tal)

Returnerar hyperbolisk cosinus för Tal.

#### Example

=COSH(0) returnerar 1, hyperbolisk cosinus för 0.

## COT

Returnerar cotangens för en given vinkel (i radianer).

#### Syntax

COT(tal)

Returnerar (trigonometrisk) cotangens för Tal, vinkeln i radianer.

Returnera cotangens för en vinkel i grader genom att använda RADIANER-funktionen.

Cotangens för en vinkel är lika med 1 dividerat med tangens för vinkeln.

### Exempel:

=COT(PI()/4) returnerar 1, cotangens för PI/4 radianer.

=COT(RADIANER(45)) returnerar 1, cotangens för 45 grader.

## COTH

Returnerar hyperbolisk cotangens för ett givet tal (vinkel).

#### Syntax

COTH(tal)

Returnerar hyperbolisk cotangens för Tal.

#### Example

=COTH(1) returnerar den hyperboliska cotangensen 1, ungefär 1,3130.

## CSC

Beräknar cosekanten för en given vinkel (i radianer). Cosekanten av en vinkel är lika med 1 genom sinus för samma vinkel

This function is available since LibreOffice 3.5.

#### Syntax

CSC(tal)

Beräknar (trigonometrisk) cosekant för Tal, vinkeln i radianer.

För att beräkna cosekanten för en vinkel i grader, använd RADIANER-funktionen.

#### Example

=CSC(PI()/4) returnerar ungefär 1.4142135624, inversen av sinus av PI/4 radianer.

=CSC(RADIANER(30)) returnerar 2, cosekanten för 30 grader.

## CSCH

Returnerar hyperbolisk cosekant för ett tal.

This function is available since LibreOffice 3.5.

#### Syntax

COSH(tal)

Returnerar hyperbolisk cosekant för Tal.

#### Example

Returnerar sekanten av en given vinkel (i radianer). Sekanten av en vinkel motsvarar 1 delat med cosinus av vinkeln.

## DELSUMMA

beräknar delresultat. Om ett område redan innehåller delresultat används dessa inte i ytterligare beräkningar. Använd den här funktionen med autofilter om du bara vill arbeta med filtrerade poster.

#### Syntax

DELSUMMA(Funktion; Område)

funktion är ett tal som står för någon av följande funktioner:

Funktionsindex (includes hidden values) | Function index (ignores hidden values) | Funktion
--- | --- | ---
1 | 101 | MEDEL
2 | 102 | ANTAL
3 | 103 | ANTALV
4 | 104 | MAX
5 | 105 | MIN
6 | 106 | PRODUKT
7 | 107 | STDEV
8 | 108 | STDEVP
9 | 109 | SUMMA
10 | 110 | VAR
11 | 111 | VARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

Område är det område vars celler ska inkluderas.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

You have a table in the cell range A1:B6 containing a bill of material for 10 students. Row 2 (Pen) is manually hidden. You want to see the sum of the figures that are displayed; that is, just the subtotal for the filtered rows. In this case the correct formula would be:

| A | B
--- | --- | ---
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

## EXP

Returns e raised to the power of a number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

EXP(Tal)

Potens är exponenten till talet e.

#### Example

=EXP(1) returns 2.71828182845904, the mathematical constant e to Calc's accuracy.

## FAKULTET

Returnerar fakulteten för ett tal.

#### Syntax

FAKULTET(tal)

Returnerar Tal!, fakulteten för Tal, beräknat som 1*2*3*4* ... * Tal.

=FAKULTET(0) returnerar 1 per definition.

Fakulteten för ett negativt tal returnerar felet "ogiltigt argument".

#### Example

=FAKULTET(3) returnerar 6.

=FAKULTET(0) returnerar 1.

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

De funktioner vars namn slutar med _ADD eller _EXCEL2003 returnerar samma resultat som motsvarande funktioner i Microsoft Excel 2003 utan suffixen. Funktioner utan suffix ger resultat som är baserade på internationell standard.

#### Syntax

GCD_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=GCD_EXCEL2003(5;15;25) returns 5.

## GRADER

Omvandlar radianer till grader.

#### Syntax

GRADER(siffra)

Tal är den vinkel i radianer som ska konverteras till grader.

#### Example

=GRADER(PI()) returnerar 180 grader.

## HELTAL

Avrundar ett tal nedåt till närmsta heltal.

#### Syntax

HELTAL(tal)

Returnerar Tal avrundat ner till närmsta heltal.

Negativa tal avrundas nedåt till närmaste heltal.

#### Example

=HELTAL(5,7) returnerar 5.

=HELTAL(-1,3) returnerar -2.

## JÄMN

Avrundar ett positivt tal uppåt till närmaste jämna heltal och ett negativt tal nedåt till närmaste jämna heltal.

#### Syntax

JÄMN(tal)

Returnerar Tal avrundat uppåt till nästa jämna heltal, från noll.

#### Example

=JÄMN(2,3) returnerar 4.

=JÄMN(2) returnerar 2.

=JÄMN(0) returnerar 0.

=JÄMN(-0,5) returnerar -2.

## KOMBIN

Returnerar antalet kombinationer av element utan upprepning.

#### Syntax

KOMBIN(Antal1; Antal2)

Antal1 är antalet poster i uppsättningen.

Antal2 är antalet poster att välja mellan i uppsättningen.

KOMBIN returnerar antalet strukturerade sätt som dessa poster kan väljas på. Om det exempelvis finns 3 poster, A, B och C, i en mängd kan du välja 2 av dem på 3 olika sätt, nämligen AB, AC och BC.

KOMBIN implementerar formeln: Antal1!(Antal2!*(Antal1-Antal2)!)

#### Example

=KOMBIN(3;2) returnerar 3.

## KOMBIN2

Returnerar antalet kombinationer för en delmängd element, inklusive upprepningar.

#### Syntax

KOMBIN2(Antal1; Antal2)

Antal1 är antalet poster i uppsättningen.

Antal2 är antalet poster att välja mellan i uppsättningen.

KOMBIN returnerar antalet unika sätt att välja dessa objekt, där den ordning de väljs i saknar betydelse och upprepning av objekt är tillåten. Om en serie till exempel innehåller de 3 objekten A, B och C så kan du välja 2 objekt på 6 olika sätt, nämligen AA, AB, AC, BB, BC och CC.

KOMBIN2 implementerar formeln: (Antal1+Antal2-1)!/(Antal2!(Antal1-1)!)

#### Example

=KOMBIN2(3;2) returnerar 6.

## KVADRATSUMMA

Calculates the sum of the squares of a set of numbers.

#### Syntax

SUMSQ(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 2; 3 and 4 in the Number 1; 2 and 3 arguments, 29 is returned as the result.

## KVOT

Returnerar heltalsresultatet av en division.

#### Syntax

KVOT(Täljare; Nämnare)

Returnerar heltalsresultatet av en Täljare dividerat med Nämnare.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

#### Example

=KVOT(11;3) returnerar 3. Resten av 2 försvinner.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

De funktioner vars namn slutar med _ADD eller _EXCEL2003 returnerar samma resultat som motsvarande funktioner i Microsoft Excel 2003 utan suffixen. Funktioner utan suffix ger resultat som är baserade på internationell standard.

#### Syntax

LCM_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=LCM_EXCEL2003(5;15;25) returns 75.

## LN

Returnerar den naturliga logaritmen baserat på konstanten e för ett tal. Konstanten e har det ungefärliga värdet 2,71828182845904.

#### Syntax

LN(tal)

Tal är det värde vars naturliga logaritm ska beräknas.

#### Example

=LN(3) returnerar den naturliga logaritmen av 3 (ungefär 1,0986).

=LN(EXP(321)) returnerar 321.

## LOG

Returnerar ett tals logaritm för den angivna basen.

#### Syntax

LOG(Number [; Base])

tal är det värde vars logaritm du ska beräkna.

Bas (valfritt) är basen för logaritmberäkningen. Om den utelämnas så antas basen vara 10.

#### Example

=LOG(10;3) returnerar logaritmen till bas 3 av 10 (ungefär 2,0959).

=LOG(7^4;7) returnerar 4.

## LOG10

Returnerar bas-10-logaritmen för ett tal.

#### Syntax

LOG10(tal)

Returnerar logaritmen till bas 10 förTal.

#### Example

=LOG10(5) returnerar bas-10-logaritmen 5 (ungefär 0,69897).

## MAVRUNDA

Returnerar ett tal som är avrundat till närmaste multipel av ett annat tal.

#### Syntax

MAVRUNDA(Tal; Multipel)

Returnerar Tal avrundat till närmaste multipel av Multipel.

En alternativ implementation är Multipel * AVRUNDA(Tal/Multipel).

#### Example

=MAVRUNDA(15,5;3) returnerar 15, eftersom 15,5 är närmare 15 (= 3*5) än 18 (= 3*6).

=MAVRUNDA(1,4;0,5) returnerar 1,5 (= 0,5*3).

## MGM

Returnerar den minsta gemensamma nämnaren för två eller flera heltal.

#### Syntax

LCM(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1, Integer 2, … , Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 512; 1024 and 2000 as Integer 1;2 and 3, then 128000 will be returned.

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

#### Syntax

MULTINOMIAL(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=MULTINOMIAL(F11:H11) returnerar 1 260, om F11 till H11 innehåller värdena 2, 3 och 4. Det motsvarar formeln =(2+3+4)! / (2!*3!*4!)

## OMRÄKNA

Konverterar mellan gammal europeisk valuta och till och från euro.

#### Syntax

EUROCONVERT(Value; "From_currency"; "To_currency" [; full_precision [; triangulation_precision]])

Värde är det valutabelopp som ska omräknas.

Från_valuta och Till_valuta är de valutaenheter som används vid omräkningen. Dessa måste anges i textform som valutans officiella förkortning (t.ex. "EUR"). Kurserna (visas i euro) har satts av den Europeiska kommissionen.

Full_precision är valfritt. Om det utelämnas eller är Falskt så avrundas resultatet enligt decimalerna i den valuta som konverteringen görs till. Om Full_precision är Sant avrundas inte resultatet.

Trianguleringsprecision är valfritt. Om Trianguleringsprecision är angivet och >=3, så avrundas det mellanliggande resultatet av en triangulär konvertering (valuta1,EUR,valuta2) med den precisionen. Om Trianguleringsprecision utelämnas så avrundas inte det mellanliggande resultatet. Om den valuta som konverteringen görs till är "EUR" så används dessutom Trianguleringsprecision precis som om triangulering behövdes och det var fråga om konvertering från EUR till EUR utfördes.

### Exempel

=OMRÄKNA(100;"ATS";"EUR") räknar om 100 österrikiska schilling till euro.

=OMRÄKNA(100;"EUR";"DEM") räknar om 100 euro till tyska mark.

## PI

Returnerar 3.14159265358979, värdet för den matematiska konstanten PI (14 decimaler).

#### Syntax

PI()

#### Example

=PI() returnerar 3,14159265358979.

## PRODUKT

Multiplicerar alla tal som är angivna som argument och returnerar produkten.

#### Syntax

PRODUCT(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=PRODUKT(2;3;4) returnerar 24.

## RADIANER

Konverterar grader till radianer.

#### Syntax

RADIANER(tal)

Tal är vinkeln i grader som ska konverteras till radianer.

#### Example

=RADIANER(90) returnerar 1,5707963267949, vilket är PI/2 för Calcs exakthet.

## RAND.NV

Returns a non-volatile random number between 0 and 1.

#### Syntax

RAND.NV()

This function produces a non-volatile random number on input. A non-volatile function is not recalculated at new input events. The function does not recalculate when pressing F9, except when the cursor is on the cell containing the function or using the Recalculate Hard command (Shift+Command Ctrl+F9). The function is recalculated when opening the file.

#### Example

=RAND.NV() returns a non-volatile random number between 0 and 1.

#### Technical information

This function is available since LibreOffice 7.0.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RAND.NV

## RANDBETWEEN.NV

Returns an non-volatile integer random number in a specified range.

#### Syntax

RANDBETWEEN.NV(Bottom; Top)

Returns an non-volatile integer random number between integers Bottom and Top (both inclusive). A non-volatile function is not recalculated at new input events or pressing F9. However, the function is recalculated when pressing F9 with the cursor on the cell containing the function, when opening the file, when using the Recalculate Hard command (Shift+Command Ctrl+F9) and when Top or Bottom are recalculated.

#### Example

=RANDBETWEEN.NV(20;30) returns a non-volatile integer between 20 and 30.

=RANDBETWEEN.NV(A1;30) returns a non-volatile integer between the value of cell A1 and 30. The function is recalculated when the contents of cell A1 change.

#### Technical information

This function is available since LibreOffice 7.0.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RANDBETWEEN.NV

## REST

Returnerar resten efter att ett heltal har dividerats med ett annat.

#### Syntax

REST(dividend; divisor)

För heltalsargument returnerar den här funktionen Dividend-modulen Divisor, dvs. resten när Dividend divideras av Divisor.

Den här funktionen implementeras som Dividend - Divisor * HELTAL(Dividend/Divisor) , och den här formeln ger resultatet om argumentet inte är ett heltal.

#### Example

=REST(22;3) returnerar 1, resten när 22 divideras med 3.

=REST(11,25;2.5) returnerar 1,25.

## ROTPI

Returnerar kvadratroten för (PI gånger ett tal).

#### Syntax

ROTPI(Tal)

Returnerar den positiva kvadratroten för (PI multiplicerat med Tal).

Det här motsvarar ROT(PI()*Tal).

#### Example

=ROTPI(2) returnerar kvadratroten för (2PI), ungefär 2,506628.

## ROUNDDOWN

Truncates a number while keeping a specified number of decimal digits.

## SEK

Returnerar sekaten av en given vinkel (i radianer). Sekanten av en vinkel motsvarar 1 delat på cosinus av vinkeln.

This function is available since LibreOffice 3.5.

#### Syntax

SEK(Tal)

Returnerar (trigonometrisk) sinus för Tal, vinkeln i radianer.

Returnera sekanten för en vinkel i grader genom att använda RADIANER-funktionen.

#### Example

=SEK(PI()/4) returnerar ca. 1,4142135624, inversen av cosinus av PI/4 radianer.

=SEK(RADIANER(60)) returnerar 2, sekanten av 60 grader.

## SEKH

Returnerar den hyperboliska sekanten för ett tal.

This function is available since LibreOffice 3.5.

#### Syntax

SEKH(Tal)

Returnerar hyperbolisk sekant för Tal.

#### Example

=SEKH(0) returnerar 1, hyperbolisk sekant för 0.

## SERIESSUMMA

Summerar de första villkoren i en potensserie.

SERIESSUM(x;n;m;c) = c1xn + c2xn+m + c3xn+2m + ... + cixn + (i-1)m.

#### Syntax

SERIESUMMA(X; N; M Koefficienter)

X är inmatningsvärdet för potensserien.

N är den initiala effekten

M är tillägget för att öka N

Koefficienter är en uppsättning koefficienter. För varje koefficient utökas summan för uppsättningen med en sektion.

#### Example

=SERIESSUM(A1; 0; 1; {1; 2; 3}) calculates the value of 1+2x+3x2, where x is the value in cell A1. If A1 contains 1, the formula returns 6; if A1 contains 2, the formula returns 17; if A1 contains 3, the formula returns 34; and so on.

Refer to the SERIESSUM wiki page for more details about this function.

## SGD

Returnerar den största gemensamma nämnaren för två eller flera heltal.

Den största gemensamma nämnaren är det största positiva heltal som jämnt kan dela vart och ett av de givna heltalen.

#### Syntax

GCD(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1, Integer 2, … , Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=SGD(16;32;24) ger resultatet 8, eftersom 8 är det största tal som kan delas med 16, 24 och 32 utan en rest.

=SGD(B1:B3) där cellerna B1, B2, B3 innehåller 9, 12, 9 blir 3.

## SIN

Returnerar sinus för en given vinkel (i radianer).

#### Syntax

SIN(Tal)

Returnerar (trigonometrisk) sinus för Tal, vinkeln i radianer.

Returnera sinus för en vinkel i grader genom att använda RADIANER-funktionen.

#### Example

=SIN(PI()/2) returnerar 1, sinus för PI/2 radianer.

=SIN(RADIANER(30)) returnerar 0,5, sinus för 30 grader.

## SINH

Returnerar hyperbolisk sinus för ett tal.

#### Syntax

ARCSINH(tal)

Returnerar hyperbolisk sinus för Tal.

#### Example

=SINH(0) returnerar 0, hyperbolisk sinus för 0.

## SLUMP

Returnerar ett slumptal mellan 0 och 1.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

SLUMP()

Denna funktion producerar ett nytt slumptal varje gång Calc genomför en beräkning. För att tvinga Calc att genomföra en ny beräkning kan du trycka på F9-tangenten.

To generate random numbers which never recalculate, either:

- Copy cells each containing =RAND(), and use Edit - Paste Special (with Paste All and Formulas not marked and Numbers marked).

- Use the Fill Cell command with random numbers (Sheet - Fill Cells - Fill Random Numbers).

- Use the RAND.NV() function for non-volatile random numbers.

#### Example

=SLUMP() returnerar ett slumptal mellan 0 och 1.

## SLUMP.MELLAN

Returnerar ett slumpmässigt heltal i ett angivet område.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

SLUMP.MELLAN(Minsta tal; Största tal)

Returnerar ett slumpmässigt heltal mellan heltalen Botten och Toppen (båda ingår).

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

Om du vill generera slumpmässiga tal som aldrig beräknas om kopierar du cellerna som innehåller den här funktionen och använder Redigera - Klistra in innehåll (med Klistra in allt och Formler som inte markerats och Tal som markerats).

#### Example

=SLUMP.MELLAN(20;30) returnerar ett heltal mellan 20 och 30.

## SQRT

Returnerar den positiva kvadratroten för ett tal.

#### Syntax

ROT(Tal)

Returnerar den positiva kvadratroten för Tal.

Talet måste vara positivt.

#### Example

=ROT(16) returnerar 4.

=ROT(-16) returnerar ett ogiltigt argument-fel.

## SUMIF

Adds the cells specified by a given criterion. This function is used to sum a range when you search for a certain value.

Sökningen stöder jokertecken eller reguljära uttryck. Med reguljära uttryck aktiverat, kan du skriva "all.*", för att hitta första platsen för "all" följt av vilka bokstäver som helst (eller inga). Om du vill söka efter en text som också är ett reguljärt uttryck, anger du "\"-tecknet (bakstreck), eller omger texten med \Q...\E. Du kan stänga av eller aktivera automatisk evaluering av jokertecken och reguljära uttryck i inställningarna under LibreOffice - Inställningar Verktyg - Alternativ ... - LibreOffice Calc - Beräkna.

Att använda funktioner där ett eller flera argument är sök-kritierier som representerar reguljära uttryck, ger ett första försök att konvertera söksträngen till ett tal. Till exempel, ".0" konverteras till 0.0 och så vidare. Om det lyckas så gör ett försök att matcha numeriskt istället för strängbaserat. Men om en locale används där decimalskiljetecknet inte är punkt kommer det att evalueras som reguljärt uttryck. För att tvinga en matchning som strängbaserat reguljärt uttryck istället för numeriskt som ett tal kan du använda något som inte kan tolkas som ett tal, till exmpel ".[0]", ".\0" eller "(?i).0".

#### Syntax

SUMIF(Range; Criterion [; SumRange])

Range is the range to which the criterion is to be applied.

Criterion: A criterion is a single cell Reference, Number or Text. It is used in comparisons with cell contents.

A reference to an empty cell is interpreted as the numeric value 0.

A matching expression can be:

- A Number or Logical value. A matching cell content equals the Number or Logical value.

- A value beginning with a comparator (<, <=, =, >, >=, <>).

  For =, if the value is empty it matches empty cells.

  For <>, if the value is empty it matches non-empty cells.

  For <>, if the value is not empty it matches any cell content except the value, including empty cells.

  Note: "=0" does not match empty cells.

  For = and <>, if the value is not empty and can not be interpreted as a Number type or one of its subtypes and the property Search criteria = and <> must apply to whole cells is checked, comparison is against the entire cell contents, if unchecked, comparison is against any subpart of the field that matches the criteria. For = and <>, if the value is not empty and can not be interpreted as a Number type or one of its subtypes applies.

- Other Text value. If the property Search criteria = and <> must apply to whole cells is true, the comparison is against the entire cell contents, if false, comparison is against any subpart of the field that matches the criteria. The expression can contain text, numbers, regular expressions or wildcards (if enabled in calculation options).

Summaområde är området där värden summeras. Om den här parametern inte angetts summeras värdena som finns i området.

SUMIF supports the reference concatenation operator (~) only in the Range parameter, and only if the optional SumRange parameter is not given.

#### Example

Så här summerar du endast negativa tal: =SUMMA.OM(A1:A10;"<0")

=SUMIF(A1:A10;">0";B1:B10) - sums values from the range B1:B10 only if the corresponding values in the range A1:A10 are >0.

Se ANTAL.OM() om du vill läsa om fler syntaxexempel som kan användas med SUMMA.OM().

## TAN

Returnerar tangens för en given vinkel (i radianer).

#### Syntax

TAN(tal)

Returnerar (trigonometrisk) tangens för Tal, vinkeln i radianer.

Returnera tangens för en vinkel i grader genom att använda RADIANER-funktionen.

#### Example

=TAN(PI()/4) returnerar 1, tangens för PI/4 radianer.

=TAN(RADIANER(45)) returnerar 1, tangens för 45 grader.

## TANH

Returnerar hyperbolisk tangens för ett tal.

#### Syntax

TANH(tal)

Returnerar hyperbolisk tangens för Tal.

#### Example

=TANH(0) returnerar 0, hyperbolisk tangens för 0.

## TECKEN

Returnerar tecknet för ett tal. Returnerar 1 om talet är positivt, -1 om det är negativt och 0 om det är noll.

#### Syntax

TECKEN(tal)

tal är det tal vars tecken ska fastställas.

#### Example

=TECKEN(3,4) returnerar 1.

=TECKEN(-4,5) returnerar -1.

## TRUNC

Truncates a number while keeping a specified number of decimal digits.

## UDDA

Rundar av ett positivt tal uppåt till närmaste udda heltal och ett negativt tal nedåt till närmaste udda heltal.

#### Syntax

UDDA(tal)

Returnerar Tal som avrundats uppåt till nästa udda heltal, från noll.

#### Example

=UDDA(1,2) returnerar 3.

=UDDA(1) returnerar 1.

=UDDA(0) returnerar 1.

=UDDA(-3,1) returnerar -5.

## UPPHÖJT.TILL

Returnerar ett tal upphöjt till ett annat tal.

#### Syntax

UPPHÖJT.TILL(Bas; Exponent)

Returnerar Bas upphöjt till Exponent.

Samma resultat kan erhållas med exponentoperatorn ^:

Bas^Exponent

=POWER(0,0) returns 1.

#### Example

=UPPHÖJT.TILL(4;3) returnerar 64, vilket är 4 upphöjt till 3.

=4^3 returnerar även 4 upphöjt till 3.

Närliggande ämnen

Functions by Category